
QGIS Application - Bug report #18877

Maximum recursion depth exceeded after adding a model or script to the Processing algorithm list 

(since 2.18.18!)

2018-04-29 12:07 PM - Oki Sir

Status: Closed

Priority: High

Assignee: René-Luc ReLuc

Category: Processing/Core

Affected QGIS version:2.18.19 Regression?: Yes

Operating System: Windows, Linux (Debian Stretch and Ubuntu 17.10)Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26709

Description

When I edit "Providers option" or I add a new model/script to the Processing list, i receive  "Maximum recursion depth exceeded while

calling a Python object" (see attachment), and so I have to kill the QGis process.

This error appears in QGis version 2.18.18 and 2.18.19 (but not in 2.18.17)

Related issues:

Duplicated by QGIS Application - Bug report # 19046: LTR-QGIS crashes after e... Closed 2018-05-28

History

#1 - 2018-05-06 08:38 AM - Borys Jurgiel

- Subject changed from Maximum recursion depth exceeded while calling a Python object to Maximum recursion depth exceeded after adding a model 

or script to the Processing algorithm list (since 2.18.18!)

It looks very similar to #18807, but that bug was introduced after 2.18.18. Hopefully that fix helped here as well.

Please test on 2.18.20 (to be released May 18, or you can compile 2.18 by yourself).

#2 - 2018-05-06 08:38 AM - Borys Jurgiel

- Regression? changed from No to Yes

#3 - 2018-05-30 08:25 AM - René-Luc ReLuc

- Priority changed from Normal to High

- Assignee set to René-Luc ReLuc

After #18807 Enabling/disabling algorithm providers as well as creating/removing preconfigured algorithms causes an infinite loop 

It's the other issue introduced by c83261395476b62f6

I will propose a fix.

#4 - 2018-05-30 08:37 AM - René-Luc ReLuc

Bugfix provided https://github.com/qgis/QGIS/pull/7116

#5 - 2018-06-20 08:32 PM - Martin Dobias
https://github.com/qgis/QGIS/pull/7116


- Duplicated by Bug report #19046: LTR-QGIS crashes after edit a Modell added

#6 - 2018-06-20 08:35 PM - Martin Dobias

- Resolution set to fixed/implemented

- Status changed from Open to Closed

PR merged few days ago - closing. See commit:28958199002b12e5fa310490f3da4f03ca104005
